# Class HTMLTableCellRenderer

java.lang.Object
net.sf.statcvs.renderer.HTMLTableCellRenderer

All Implemented Interfaces:
  `TableCellRenderer`

public class HTMLTableCellRenderer extends Object implements TableCellRenderer
Helper class for rendering different types of table cells and table heads to HTML

Version:
  $Id: HTMLTableCellRenderer.java,v 1.10 2008/04/02 11:22:15 benoitx Exp $
Author:
  Richard Cyganiak invalid input: '<'rcyg@gmx.de>

## Constructor Summary

Constructors
Constructor
Description
`HTMLTableCellRenderer()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getColumnHead()`
Return the results of the last `renderCell` call
`String`
`getEvenRowFormat()`
`String`
`getOddRowFormat()`
`MarkupSyntax`
`getOutput()`
`String`
`getRowHead()`
Return the results of the last `renderCell` call as a row head
`String`
`getTableCell()`
Return the results of the last `renderCell` call as an ordinary table cell
`void`
`renderAuthorCell(Author author)`
Render a cell containing an author to HTML
`void`
`renderAuthorIdCell(Author author)`
Render a cell containing an author Id to HTML
`void`
`renderCell(String content)`
Render a generic table cell to HTML
`void`
`renderDirectoryCell(Directory directory)`
Render a cell containing a directory to HTML
`void`
`renderEmptyCell()`
Render an empty cell to HTML
`void`
`renderFileCell(VersionedFile file, boolean withIcon, WebRepositoryIntegration webRepository)`
Render a cell containing a file to HTML
`void`
`renderIntegerCell(int value)`
Render an integer cell to HTML
`void`
`renderIntegerCell(int value, int total)`
Render an integer cell to HTML, showing both the integer value and a percentage of a total
`void`
`renderLinkCell(String url, String label)`
Render a cell containing a repository tag.
`void`
`renderPercentageCell(double ratio)`
Render a percentage cell to HTML
`void`
`setOutput(MarkupSyntax output)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HTMLTableCellRenderer

public HTMLTableCellRenderer()

## Method Details

### renderCell

public void renderCell(String content)
Render a generic table cell to HTML

Specified by:
  `renderCell` in interface `TableCellRenderer`
Parameters:
  `content` - the cell's content

### renderEmptyCell

public void renderEmptyCell()
Render an empty cell to HTML

Specified by:
  `renderEmptyCell` in interface `TableCellRenderer`

### renderIntegerCell

public void renderIntegerCell(int value)
Render an integer cell to HTML

Specified by:
  `renderIntegerCell` in interface `TableCellRenderer`
Parameters:
  `value` - the cell's content

### renderIntegerCell

public void renderIntegerCell(int value, int total)
Render an integer cell to HTML, showing both the integer value and a percentage of a total

Specified by:
  `renderIntegerCell` in interface `TableCellRenderer`
Parameters:
  `value` - the cell's content
  `total` - the total, worth 100%

### renderPercentageCell

public void renderPercentageCell(double ratio)
Render a percentage cell to HTML

Specified by:
  `renderPercentageCell` in interface `TableCellRenderer`
Parameters:
  `ratio` - the cell's content

### renderAuthorCell

public void renderAuthorCell(Author author)
Render a cell containing an author to HTML

Specified by:
  `renderAuthorCell` in interface `TableCellRenderer`
Parameters:
  `author` - the author

### renderAuthorIdCell

public void renderAuthorIdCell(Author author)
Render a cell containing an author Id to HTML

Specified by:
  `renderAuthorIdCell` in interface `TableCellRenderer`
Parameters:
  `author` - the author

### renderDirectoryCell

public void renderDirectoryCell(Directory directory)
Render a cell containing a directory to HTML

Specified by:
  `renderDirectoryCell` in interface `TableCellRenderer`
Parameters:
  `directory` - the directory

### renderFileCell

public void renderFileCell(VersionedFile file, boolean withIcon, WebRepositoryIntegration webRepository)
Render a cell containing a file to HTML

Specified by:
  `renderFileCell` in interface `TableCellRenderer`
Parameters:
  `file` - the file
  `withIcon` - display an icon in front of the filename?
  `webRepository` - for creating links; might be `null`

### renderLinkCell

public void renderLinkCell(String url, String label)
Render a cell containing a repository tag.

Specified by:
  `renderLinkCell` in interface `TableCellRenderer`

### getColumnHead

public String getColumnHead()
Return the results of the last `renderCell` call

Returns:
  HTML

### getRowHead

public String getRowHead()
Return the results of the last `renderCell` call as a row head

Returns:
  HTML

### getTableCell

public String getTableCell()
Return the results of the last `renderCell` call as an ordinary table cell

Returns:
  HTML

### getOutput

public MarkupSyntax getOutput()

Returns:
  the output

### setOutput

public void setOutput(MarkupSyntax output)

Parameters:
  `output` - the output to set

### getOddRowFormat

public String getOddRowFormat()

### getEvenRowFormat

public String getEvenRowFormat()